diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 415a3bc..d8c41d9 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -5252,23 +5252,23 @@
     <tbody>
      <row>
       <entry><structfield>slot_name</structfield></entry>
-      <entry><type>text</type></entry>
+      <entry><type>name</type></entry>
       <entry></entry>
       <entry>A unique, cluster-wide identifier for the replication slot</entry>
      </row>
 
      <row>
-      <entry><structfield>slot_type</structfield></entry>
-      <entry><type>text</type></entry>
+      <entry><structfield>plugin</structfield></entry>
+      <entry><type>name</type></entry>
       <entry></entry>
-      <entry>The slot type - <literal>physical</> or <literal>logical</></entry>
+      <entry>The basename of the shared object containing the output plugin this logical slot is using, or null for physical slots.</entry>
      </row>
 
      <row>
-      <entry><structfield>plugin</structfield></entry>
+      <entry><structfield>slot_type</structfield></entry>
       <entry><type>text</type></entry>
       <entry></entry>
-      <entry>The basename of the shared object containing the output plugin this logical slot is using, or null for physical slots.</entry>
+      <entry>The slot type - <literal>physical</> or <literal>logical</></entry>
      </row>
 
      <row>
@@ -5305,7 +5305,7 @@
      </row>
 
      <row>
-      <entry><structfield>xmin</structfield></entry>
+      <entry><structfield>catalog_xmin</structfield></entry>
       <entry><type>xid</type></entry>
       <entry></entry>
       <entry>The oldest transaction that this slot needs the database to
@@ -5315,14 +5315,6 @@
      </row>
 
      <row>
-      <entry><structfield>catalog_xmin</structfield></entry>
-      <entry><type>xid</type></entry>
-      <entry></entry>
-      <entry>The <literal>xmin</literal>, or oldest transaction ID, that this
-      slot forces to be retained in the system catalogs. </entry>
-     </row>
-
-     <row>
       <entry><structfield>restart_lsn</structfield></entry>
       <entry><type>pg_lsn</type></entry>
       <entry></entry>
